Bug 861358 - fuseiso: integer overflow in isofs_real_read_zf
Summary: fuseiso: integer overflow in isofs_real_read_zf
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: fuseiso
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 861356 CVE-2015-8836
TreeView+ depends on / blocked
 
Reported: 2012-09-28 10:37 UTC by Florian Weimer
Modified: 2020-07-24 22:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:26:59 UTC
Type: Bug


Attachments (Terms of Use)
zf-overflow.iso.gz (1016 bytes, application/octet-stream)
2015-10-01 09:30 UTC, Florian Weimer
no flags Details
Check for block size being << 2^17, if block size is exceeded, bail out (594 bytes, patch)
2015-10-01 09:32 UTC, Mike Gabriel
no flags Details | Diff

Description Florian Weimer 2012-09-28 10:37:56 UTC
In the isofs_real_read_zf function in src/isofs.c, the initialization

    int zf_block_size = 1 << inode->zf_block_shift;

suffers from an integer overflow.  This triggers undefined behavior.  I believe that on i686 and x86_64, the subsequent malloc cannot be reached, but I'm not sure about other architectures.

The isofs kernel module rejects zf_block_shift values greater than 17, and fuseiso should probably do the same.

Comment 1 Florian Weimer 2012-09-28 10:55:26 UTC
Reproducer is available upon request (zf-overflow.iso).

Comment 2 Florian Weimer 2012-10-02 13:41:40 UTC
(In reply to comment #1)
> Reproducer is available upon request (zf-overflow.iso).

To trigger this, a program has to attempt to open and read the "zeros" file in the ISO image.

Comment 5 Fedora Admin XMLRPC Client 2015-03-30 20:13:57 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Jan Kurik 2015-07-15 14:58:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Mike Gabriel 2015-10-01 08:10:57 UTC
(In reply to Florian Weimer from comment #1)
> Reproducer is available upon request (zf-overflow.iso).

I have prepared a patch for this fix and would like to test if it works. Can you please provide me with the above named zf-overflow.iso?

Thanks,
Mike

Comment 8 Florian Weimer 2015-10-01 09:30:16 UTC
Created attachment 1078999 [details]
zf-overflow.iso.gz

Reproducer

Comment 9 Mike Gabriel 2015-10-01 09:32:49 UTC
Created attachment 1079000 [details]
Check for block size being << 2^17, if block size is exceeded, bail out

Comment 10 Fedora End Of Life 2016-11-24 10:49:21 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2016-12-20 12:26:59 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Jan Kurik 2018-05-31 07:26:44 UTC
This bug has been reported against a Fedora version which is already unsuported.
In compliance with FESCo decision how to handle EOL of Security issues [1],
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

[1] https://pagure.io/fesco/issue/1736

Comment 13 Ben Cotton 2018-11-27 15:33:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.